
ThreatFactor NSIA - Bug #87

Prevent XMLRPC Warnings From Appearing in Console

04/09/2010 12:10 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Scan Engine Estimated time: 0.00 hour

Target version:    

Description

The XML-RPC client used to get signature updates causes warnings to be posted to the console when the connection fails.

Related issues:

Related to ThreatFactor NSIA - Feature #314: Replace XML-RPC API with a REST API Closed 01/26/2011 01/30/2011

History

#1 - 11/02/2010 01:20 PM - Luke Murphey

- Category set to Scan Engine

#2 - 01/07/2011 07:07 AM - Luke Murphey

See http://stackoverflow.com/questions/1306493/suppressing-controlling-logging-in-org-apache-xmlrpc-xmlrpcclient

#3 - 01/18/2011 07:28 AM - Luke Murphey

- Start date deleted (04/09/2010)

Problem is that the XML RPC client uses the commons logging framework, not log4j. Reference: 

http://svn.apache.org/repos/asf/webservices/xmlrpc/trunk/server/src/main/java/org/apache/xmlrpc/server/XmlRpcErrorLogger.java.

#4 - 05/03/2011 07:42 PM - Luke Murphey

- Status changed from New to Closed

This is no longer a problem since XML-RPC is not used to communicate to ThreatFactor.com
